## org.biojava.bridge.Biocorba.Seqcore
Class AnonymousSeqImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.AnonymousSeqImpl

Direct Known Subclasses:
  PrimarySeqImpl

public class AnonymousSeqImpl
extends UnknownImpl
implements _AnonymousSeq_Operations

Constructor Summary
`AnonymousSeqImpl(SymbolList resList)`

Method Summary
`java.lang.String` `get_seq(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`
`java.lang.String` `get_subseq(org.omg.CORBA.portable.ObjectImpl anonymousSeq, int start, int end)`
`SymbolList` `getSymbolList()`
`int` `length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`
`int` `max_request_length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`
`SeqType` `type(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnonymousSeqImpl

    public AnonymousSeqImpl(SymbolList resList)
                     throws IllegalAlphabetException

Method Detail

### getSymbolList

    public SymbolList getSymbolList()

### type

    public SeqType type(org.omg.CORBA.portable.ObjectImpl anonymousSeq)

  Specified by:
    type in interface _AnonymousSeq_Operations

### length

    public int length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)

  Specified by:
    length in interface _AnonymousSeq_Operations

### get_seq

    public java.lang.String get_seq(org.omg.CORBA.portable.ObjectImpl anonymousSeq)
                             throws RequestTooLarge

  Specified by:
    get_seq in interface _AnonymousSeq_Operations

### get_subseq

    public java.lang.String get_subseq(org.omg.CORBA.portable.ObjectImpl anonymousSeq,
                                       int start,
                                       int end)
                                throws OutOfRange,
                                       RequestTooLarge

  Specified by:
    get_subseq in interface _AnonymousSeq_Operations

### max_request_length

    public int max_request_length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)

  Specified by:
    max_request_length in interface _AnonymousSeq_Operations